ProyectoCrm/src/app/Modulos/ClienteModulo/Paginas/fw-cliente/Componentes/fw-cliente-informacion/fw-cliente-informacion.component.pug
div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-info.mr-2
      span Información General
div.form-row
  div.form-group.col-12.col-lg-4
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Género
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-transgender
          select([(ngModel)]="tGeneroActual",
                  (change)="CambiarGenero()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tGenero of tGeneros",
                    [ngValue]="tGenero") {{tGenero.Descripcion}}
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Email
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-at
          input(type="email",
                  [(ngModel)]="tCliente.Email",
                  placeholder="Correo electrònico",
                  name="Email",
                  aria-label="Email",
                  size="sm",
                  aria-describedby="Email",
                  required="").ControlInput--Input.align-middle
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Estatus
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-unlock-alt
          select([(ngModel)]="tEstatusActual",
                  (change)="CambiarEstatus()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tEsta of tEstatus",
                    [ngValue]="tEsta") {{tEsta.Codestatus}}
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Asesor
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
                i.fas.fa-user-tie
          input(type="text",
              [(ngModel)]="tCliente.Descripcion_asesor",
              placeholder="Asesor",
              name="Asesor",
              size="sm",
              readonly="tBloquearBuscar").ControlInput--Input.align-middle
          div.ControlInput--ContenedorBoton
            button(type="submit",
              (click)="AbrirModalAsesor()").btn.btn-sm.btn-info
              i.fas.fa-user-edit
  div.form-group.col-12.col-lg-4
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Fecha nacimiento
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-calendar-alt
          input(type="text",
                  bsDatepicker="",
                  size="sm",
                  [(ngModel)]="tCliente.Fecha_nacimiento",
                  (bsValueChange)="Seleccionar_Fecha($event)",
                  [bsConfig]="{ adaptivePosition: true , dateInputFormat: 'YYYY-MM-DD' }").ControlInput--Input
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Ocupación
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-business-time
          select([(ngModel)]="tOcupacionActual",
              (change)="CambiarOcupacion()",
              size-select="sm").ControlInput--Select
            option(*ngFor="let tOcupacion of tOcupaciones",
              [ngValue]="tOcupacion") {{tOcupacion.Descripcion}}
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Situaciòn
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-user-clock
          select([(ngModel)]="tSituacionActual",
                (change)="CambiarSituacion()",
                size-select="sm").ControlInput--Select
            option(*ngFor="let tSituacion of tSituaciones",
                [ngValue]="tSituacion") {{tSituacion.Descripcion}}
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Tipo precio
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          select([(ngModel)]="tTipoPrecioActual",
                  (change)="CambiarTiposPrecios()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tPrecios of tTiposPrecios",
              [ngValue]="tPrecios") {{tPrecios.Descripcion}}
  div.form-group.col-12.col-lg-4
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Estado civil
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-user-friends
          select([(ngModel)]="tEstadocivilActual",
                size-select="sm").ControlInput--Select
            option(*ngFor="let tEstadocivil of tEstadociviles",
                    [ngValue]="tEstadocivil") {{tEstadocivil.Descripcion}}
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Tipo cliente
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-user-check
          select([(ngModel)]="tTipoClienteActual",
                (change)="CambiarTipoCliente()",
                size-select="sm").ControlInput--Select
            option(*ngFor="let tTipofor of tTiposClientes",
                [ngValue]="tTipofor") {{tTipofor.Codtipo}}
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Condiciòn
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-user-cog
          select([(ngModel)]="tCondicionActual",
              (change)="CambiarCondicion()",
              size-select="sm").ControlInput--Select
            option(*ngFor="let tCondicion of tCondiciones",
                  [ngValue]="tCondicion") {{tCondicion.Descripcion}}

ProyectoCrm/src/app/Modulos/ClienteModulo/Paginas/fw-cliente/Componentes/fw-cliente-informacion/fw-cliente-informacion.component.html

<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Información General</span></h5>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-4">
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Género</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-transgender"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tGeneroActual" (change)="CambiarGenero()" size-select="sm">
            <option *ngFor="let tGenero of tGeneros" [ngValue]="tGenero">{{tGenero.Descripcion}}</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Email</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-at"></i></span></div>
          <input class="ControlInput--Input align-middle" type="email" [(ngModel)]="tCliente.Email" placeholder="Correo electrònico" name="Email" aria-label="Email" size="sm" aria-describedby="Email" required=""/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Estatus</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-unlock-alt"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tEstatusActual" (change)="CambiarEstatus()" size-select="sm">
            <option *ngFor="let tEsta of tEstatus" [ngValue]="tEsta">{{tEsta.Codestatus}}</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Asesor</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-tie"></i></span></div>
          <input class="ControlInput--Input align-middle" type="text" [(ngModel)]="tCliente.Descripcion_asesor" placeholder="Asesor" name="Asesor" size="sm" readonly="tBloquearBuscar"/>
          <div class="ControlInput--ContenedorBoton">
            <button class="btn btn-sm btn-info" type="submit" (click)="AbrirModalAsesor()"><i class="fas fa-user-edit"></i></button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-4">
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Fecha nacimiento</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
          <input class="ControlInput--Input" type="text" bsDatepicker="" size="sm" [(ngModel)]="tCliente.Fecha_nacimiento" (bsValueChange)="Seleccionar_Fecha($event)" [bsConfig]="{ adaptivePosition: true , dateInputFormat: 'YYYY-MM-DD' }"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Ocupación</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-business-time"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tOcupacionActual" (change)="CambiarOcupacion()" size-select="sm">
            <option *ngFor="let tOcupacion of tOcupaciones" [ngValue]="tOcupacion">{{tOcupacion.Descripcion}}</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Situaciòn</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-clock"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tSituacionActual" (change)="CambiarSituacion()" size-select="sm">
            <option *ngFor="let tSituacion of tSituaciones" [ngValue]="tSituacion">{{tSituacion.Descripcion}}</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Tipo precio</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tTipoPrecioActual" (change)="CambiarTiposPrecios()" size-select="sm">
            <option *ngFor="let tPrecios of tTiposPrecios" [ngValue]="tPrecios">{{tPrecios.Descripcion}}</option>
          </select>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-4">
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Estado civil</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-friends"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tEstadocivilActual" size-select="sm">
            <option *ngFor="let tEstadocivil of tEstadociviles" [ngValue]="tEstadocivil">{{tEstadocivil.Descripcion}}</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Tipo cliente</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-check"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tTipoClienteActual" (change)="CambiarTipoCliente()" size-select="sm">
            <option *ngFor="let tTipofor of tTiposClientes" [ngValue]="tTipofor">{{tTipofor.Codtipo}}</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Condiciòn</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-cog"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tCondicionActual" (change)="CambiarCondicion()" size-select="sm">
            <option *ngFor="let tCondicion of tCondiciones" [ngValue]="tCondicion">{{tCondicion.Descripcion}}</option>
          </select>
        </div>
      </div>
    </div>
  </div>
</div>
